# -*- coding: utf-8 -*-

import requests
import json

BASE_URL = 'https://pub.cl.uzh.ch/service/cutter/current/'

def cut(text, lang='common'):
	return json.loads(requests.post(BASE_URL + lang + '/', data = {'text':text}).text)

def token_list(obj):
	return [[t['token'] for t in p] for p in obj]

def version():
	return requests.get(BASE_URL + '/version').text.strip()

def rule_sets():
	return requests.get(BASE_URL + '/languages').text.strip().split("\n")
